import axios from 'axios'
import downloadjs from 'downloadjs'
import { getStore, USR } from '../untils/userinfo'
interface LoginData{
    name: string
    password: string
}
const instance = axios.create({
    timeout:15000
})
instance.interceptors.request.use((config)=>{
    if(config.url !== 'http://172.16.100.59:8091/admin/login'){
        config.headers=  {
            'auth-Token':store?store.token?store.token:'':''
        }
        return config
    }else{
        return config
    }
})

const store = getStore<USR<any>>('mining-manager')
export const doLogin = async (data:LoginData) => {
    return instance.post('http://172.16.100.59:8091/admin/login',
        data
    ).then(res=>{
        console.log(res.headers);
        
        if(res.data.data.isSucc){
            return res.headers['auth-token']
        }
    }).catch((err)=>{
        console.log(err);
    })
}


export const getPlatList = async()=>{
    return instance.get('http://172.16.100.59:8091/admin/plat-list',).then(res=> res.data)
}

export interface GetTransListParams{
    platId?:number
    status?:number
    start?:number
    end?:number
    addr?:string
    page?:number
    pageSize?:number
}

export const getTransList = async(params:GetTransListParams)=>{
    params.page?params.page:params.page=1
    params.pageSize?params.pageSize:params.pageSize=10
    return instance.get('http://172.16.100.59:8091/admin/trans-list',{
        params:params
    }).then(res=>{
        return res.data
    })
}

export const downloadTxt = async(params:GetTransListParams)=>{
    return instance.get('/download/unsigntxs',{
        params: params
    }).then(async res=>{
            try{
                await downloadjs(res.data)
            }catch(err){
                console.log('下载出错了',err);
            }
        return
    }).catch((err:any)=>{
        return{
            status:'error',
            message:err.response.data.message
        }
    })
  
}